\draw (24,50) node [align=left] {$\displaystyle C_0$};

%1 карта
\linetableone  { }{ }{ }{ }
\linetabletwo  { }{ }{ }{ }
\linetablethree{ }{ }{1}{ }
\linetablefour { }{ }{ }{ }

%2 карта
\linetablefive  { }{ }{ }{ }
\linetablesix   { }{ }{1}{1}
\linetableseven { }{1}{ }{1}
\linetableeight { }{ }{ }{ }

%3 карта
\linetablenine  { }{ }{ }{ }
\linetableten   {1}{1}{ }{ }
\linetableeleven{1}{ }{ }{ }
\linetabletwelve{ }{ }{1}{ }

%4 карта
\linetablethirteen{ }{ }{1}{1}
\linetablefourteen{ }{ }{ }{ }
\linetablefifteen { }{ }{ }{ }
\linetablesixteen { }{1}{ }{1}

%(̅X₀ & ̅X₁ & X₂ & X₃ & X₄ & X₅) V (̅X₀ & X₁ & ̅X₂ & X₃ & X₄) V (̅X₀ & X₁ & X₃ & X₄ & ̅X₅) V (̅X₀ & X₁ & X₂ & X₃ & ̅X₄ & X₅) V (X₀ & ̅X₁ & ̅X₂ & X₃ & ̅X₄) V (X₀ & ̅X₁ & X₃ & ̅X₄ & ̅X₅) V (X₀ & ̅X₁ & X₂ & ̅X₃ & X₄ & X₅) V (X₀ & X₁ & ̅X₂ & ̅X₃ & X₄) V (X₀ & X₁ & ̅X₃ & X₄ & ̅X₅) V (X₀ & X₁ & X₂ & ̅X₃ & ̅X₄ & X₅)
\draw (366,155) node  [align=left] {$\displaystyle C_{0} =\begin{Bmatrix}
        001111 \\ 
        011101 \\ 
        101011 \\ 
        111001 \\
        01011x \\ 
        01x110 \\ 
        10010x \\
        10x100 \\ 
        11001x \\ 
        11x010
    \end{Bmatrix}$\\
    $S_a^{C_0} = 54,S_b^{c_0} = 64$
};

\draw [color={rgb,255:red, 255; green, 0; blue, 0}, draw opacity=1] (82.6,215.48) .. controls (82.6,213.74) and (84.01,212.33) .. (85.75,212.33) -- (95.19,212.33) .. controls (96.92,212.33) and (98.33,213.74) .. (98.33,215.48) -- (98.33,244.19) .. controls (98.33,245.92) and (96.92,247.33) .. (95.19,247.33) -- (85.75,247.33) .. controls (84.01,247.33) and (82.6,245.92) .. (82.6,244.19) -- cycle ;
\draw [color={rgb,255:red, 255; green, 0; blue, 0}, draw opacity=1] (272.6,85.48) .. controls (272.6,83.74) and (274.01,82.33) .. (275.75,82.33) -- (285.19,82.33) .. controls (286.92,82.33) and (288.33,83.74) .. (288.33,85.48) -- (288.33,114.19) .. controls (288.33,115.92) and (286.92,117.33) .. (285.19,117.33) -- (275.75,117.33) .. controls (274.01,117.33) and (272.6,115.92) .. (272.6,114.19) -- cycle ;
\draw [color={rgb,255:red, 255; green, 0; blue, 0}, draw opacity=1] (284.82,191.97) .. controls (286.56,191.97) and (287.97,193.38) .. (287.97,195.11) -- (287.97,204.55) .. controls (287.97,206.29) and (286.56,207.7) .. (284.82,207.7) -- (256.11,207.7) .. controls (254.38,207.7) and (252.97,206.29) .. (252.97,204.55) -- (252.97,195.11) .. controls (252.97,193.38) and (254.38,191.97) .. (256.11,191.97) -- cycle ;
\draw [color={rgb,255:red, 0; green, 255; blue, 0}, draw opacity=1] (284.82,81.97) .. controls (286.56,81.97) and (287.97,83.38) .. (287.97,85.11) -- (287.97,94.55) .. controls (287.97,96.29) and (286.56,97.7) .. (284.82,97.7) -- (256.11,97.7) .. controls (254.38,97.7) and (252.97,96.29) .. (252.97,94.55) -- (252.97,85.11) .. controls (252.97,83.38) and (254.38,81.97) .. (256.11,81.97) -- cycle ;
\draw [color={rgb,255:red, 0; green, 0; blue, 255}, draw opacity=1] (232.83,259.92) .. controls (232.83,255.54) and (236.38,252) .. (240.75,252) .. controls (245.12,252) and (248.67,255.54) .. (248.67,259.92) .. controls (248.67,264.29) and (245.12,267.83) .. (240.75,267.83) .. controls (236.38,267.83) and (232.83,264.29) .. (232.83,259.92) -- cycle ;
\draw [color={rgb,255:red, 0; green, 0; blue, 255}, draw opacity=1] (122.83,259.92) .. controls (122.83,255.54) and (126.38,252) .. (130.75,252) .. controls (135.12,252) and (138.67,255.54) .. (138.67,259.92) .. controls (138.67,264.29) and (135.12,267.83) .. (130.75,267.83) .. controls (126.38,267.83) and (122.83,264.29) .. (122.83,259.92) -- cycle ;
\draw [color={rgb,255:red, 0; green, 0; blue, 255}, draw opacity=1] (122.83,109.92) .. controls (122.83,105.54) and (126.38,102) .. (130.75,102) .. controls (135.12,102) and (138.67,105.54) .. (138.67,109.92) .. controls (138.67,114.29) and (135.12,117.83) .. (130.75,117.83) .. controls (126.38,117.83) and (122.83,114.29) .. (122.83,109.92) -- cycle ;
\draw [color={rgb,255:red, 0; green, 0; blue, 255}, draw opacity=1] (232.83,109.92) .. controls (232.83,105.54) and (236.38,102) .. (240.75,102) .. controls (245.12,102) and (248.67,105.54) .. (248.67,109.92) .. controls (248.67,114.29) and (245.12,117.83) .. (240.75,117.83) .. controls (236.38,117.83) and (232.83,114.29) .. (232.83,109.92) -- cycle ;
\draw [color={rgb,255:red, 0; green, 255; blue, 255}  ,draw opacity=1 ]   (273.67,270.5) .. controls (273,256.33) and (272,251.67) .. (281.55,252.03) .. controls (291.1,252.39) and (286.67,261) .. (287.73,270.74) .. controls (288.8,280.49) and (308.67,279.33) .. (308,269.83) .. controls (307.33,260.33) and (307.33,237.83) .. (307.33,231.83) .. controls (307.33,225.83) and (307.33,195.83) .. (307.33,187.83) .. controls (307.33,179.83) and (288.67,176.33) .. (288.67,189) .. controls (288.67,201.67) and (290,208.33) .. (282.36,208) .. controls (274.72,207.67) and (274.24,204.4) .. (275.15,189.63) ;

\draw [color={rgb,255:red, 0; green, 255; blue, 0}, draw opacity=1] (85,212) -- (115,212) -- (115,228) -- (85,228) -- cycle;